uuid: 9e197285-165a-4ba6-a10c-33e659f2f894
langcode: en
status: true
dependencies:
  config:
    - field.field.node.blog_post.body
    - field.field.node.blog_post.field_blog_category
    - field.field.node.blog_post.field_blog_featured_image
    - field.field.node.blog_post.field_blog_tags
    - field.field.node.blog_post.field_blog_type
    - field.field.node.blog_post.field_exclude_from_search
    - field.field.node.blog_post.field_featured
    - field.field.node.blog_post.field_gallery_images
    - field.field.node.blog_post.field_gallery_placement
    - field.field.node.blog_post.field_keywords
    - field.field.node.blog_post.field_published_datetime
    - image.style.thumbnail
    - node.type.blog_post
    - workflows.workflow.editorial
  module:
    - content_moderation
    - datetime
    - imce
    - path
    - search_api_exclude_entity
    - svg_image
    - text
id: node.blog_post.default
targetEntityType: node
bundle: blog_post
mode: default
content:
  body:
    type: text_textarea_with_summary
    weight: 9
    region: content
    settings:
      rows: 9
      summary_rows: 3
      placeholder: ''
      show_summary: false
    third_party_settings: {  }
  created:
    type: datetime_timestamp
    weight: 11
    region: content
    settings: {  }
    third_party_settings: {  }
  field_blog_category:
    type: options_select
    weight: 5
    region: content
    settings: {  }
    third_party_settings: {  }
  field_blog_featured_image:
    type: image_image
    weight: 4
    region: content
    settings:
      progress_indicator: throbber
      preview_image_style: thumbnail
    third_party_settings:
      imce:
        enabled: true
  field_blog_tags:
    type: entity_reference_autocomplete_tags
    weight: 6
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_blog_type:
    type: options_select
    weight: 1
    region: content
    settings: {  }
    third_party_settings: {  }
  field_exclude_from_search:
    type: search_api_exclude_entity_widget
    weight: 1
    region: content
    settings:
      field_label: 'Yes, exclude this entity from the search indexes.'
    third_party_settings: {  }
  field_featured:
    type: boolean_checkbox
    weight: 3
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_gallery_images:
    type: image_image
    weight: 7
    region: content
    settings:
      progress_indicator: throbber
      preview_image_style: thumbnail
    third_party_settings:
      imce:
        enabled: true
  field_gallery_placement:
    type: options_select
    weight: 8
    region: content
    settings: {  }
    third_party_settings: {  }
  field_keywords:
    type: string_textfield
    weight: 2
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_published_datetime:
    type: datetime_default
    weight: 2
    region: content
    settings: {  }
    third_party_settings: {  }
  moderation_state:
    type: moderation_state_default
    weight: 16
    region: content
    settings: {  }
    third_party_settings: {  }
  path:
    type: path
    weight: 14
    region: content
    settings: {  }
    third_party_settings: {  }
  promote:
    type: boolean_checkbox
    weight: 12
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  status:
    type: boolean_checkbox
    weight: 17
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  sticky:
    type: boolean_checkbox
    weight: 13
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  title:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  uid:
    type: entity_reference_autocomplete
    weight: 10
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  url_redirects:
    weight: 15
    region: content
    settings: {  }
    third_party_settings: {  }
hidden: {  }
